/** Application Client per il bean Hello. */ 

import javax.ejb.EJB; 
import hello.HelloRemote; 

public class Main {

	@EJB(mappedName = "ejb/Hello")
	private static HelloRemote hello; 
	
	public static void main(String[] args) {
		new Main().doConversation(); 
	}

	public Main() {
		super();
	}
	
	/** Esegue una conversazione con il bean Hello. */ 
	public void doConversation() {
		String saluto = hello.hello("Luca"); 
		System.out.println(saluto);		
	}

}