import javax.ejb.EJB; 
import counter.CounterRemote; 

public class Main {

	@EJB(mappedName="ejb/Counter")
    private static CounterRemote counter; 

	public Main() {
		super();
	}

    public static void main(String[] args) {
        new Main().doConversation(); 
    } 

    public void doConversation() {
        for (int i=1; i<=50; i++) {
            System.out.println( counter.count() ); 
            delay(250);
            /* stamper 1, 2, ..., 50, 
             * anche se vengono mandati in esecuzione pi client concorrenti */
        }
    }

    private static void delay(int delay) {
        try {
            Thread.sleep(delay);
        } catch (Exception e) {}
    }
}